{ config, lib, pkgs, ...} :
with lib;
let
  cfg = config.local.apps;
in
{
  options.local.apps.enable = mkEnableOption "Applications and tools";
  imports = [
    ./docs.nix
    ./editors
    ./messaging.nix
    ./multimedia.nix
    ./steam
    ./terminal
    ./virtmanager.nix
    ./web.nix
  ];

  config.local.apps = mkIf cfg.enable { 
    docs.enable = mkDefault true;
    editors.enable = mkDefault true;
    messaging.enable = mkDefault true;
    multimedia.enable = mkDefault true;
    terminal.enable = mkDefault true;
    web.enable = mkDefault true;
  };
}